Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2608)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2609)
@@ -2567,7 +2567,7 @@
 			this.dirty = true;
 			this.computing = false;
 			this.hasBeenComputedOnce = false;
-			this.setCanceled(true);
+			this.monitorSetCanceled(true);
 			
 			Log.finest(NLS.bind("Computing state of {0} ({1}) has been reset...", this.getName(), this.getClass().getSimpleName()));
 			
@@ -2694,7 +2694,7 @@
 	 * 
 	 * @param value
 	 */
-	public void setCanceled(boolean value) {
+	public void monitorSetCanceled(boolean value) {
 		if (this.monitor != null) {
 			Log.info(NLS.bind("Canceling computing of {0} ({1})...", this.getName(), this.getClass().getSimpleName()));
 			this.monitor.setCanceled(value);
@@ -2706,7 +2706,7 @@
 	 * 
 	 * @param name
 	 */
-	public void setTask(String name) {
+	public void monitorSetTask(String name) {
 		if (this.monitor != null) {
 			this.monitor.subTask(name);
 		}
@@ -2718,7 +2718,7 @@
 	 *
 	 * @param amount of work
 	 */
-	public void worked(int amount) {
+	public void monitorSetWorked(int amount) {
 		if (this.monitor != null) {
 			this.monitor.worked(amount);
 		}
@@ -2730,7 +2730,7 @@
 	 *
 	 * @return true if the monitor has been canceled by the user
 	 */
-	public boolean isCanceled() {
+	public boolean monitorIsCanceled() {
 		if (this.monitor != null) {
 			return this.monitor.isCanceled();
 		}
@@ -2740,7 +2740,7 @@
 	/**
 	 * Sets the monitor state as done.
 	 */
-	public void done() {
+	public void monitorDone() {
 		if (this.monitor != null) {
 			this.monitor.done();
 		}
@@ -2751,7 +2751,7 @@
 	 * 
 	 * @param workRemaining number of ticks
 	 */
-	public void setWorkRemaining(int workRemaining) {
+	public void monitorSetWorkRemaining(int workRemaining) {
 		if (this.monitor != null) {
 			this.monitor.setWorkRemaining(workRemaining);
 		}
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2608)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2609)
@@ -384,7 +384,7 @@
 			}
 			
 			SubMonitor monitor = null;
-			if (this.isCanceled()) {
+			if (this.monitorIsCanceled()) {
 				monitor = SubMonitor.convert(new LogMonitor(), "computing " + this, 100);
 			}
 			
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2608)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2609)
@@ -329,32 +329,32 @@
 			this.structurePositions = new int[0];
 			this.structureNames = new String[0];
 			
-			this.setTask("Processing queries...");
+			this.monitorSetTask("Processing queries...");
 			if (!this.stepQueries()) {
 				return true;
 			}
 			
-			if (this.isCanceled()) {
+			if (this.monitorIsCanceled()) {
 				return false;
 			}
-			this.worked(10);
+			this.monitorSetWorked(10);
 		}
 		
 		// Structural units
-		this.setTask("Processing structural units...");
+		this.monitorSetTask("Processing structural units...");
 		if (!this.stepStructuralUnits()) {
 			return false;
 		}
-		this.worked(20);
+		this.monitorSetWorked(20);
 		
 		
 		// Finalization steps
 		if (this.hasParameterChanged(ProgressionPreferences.QUERIES)) {
-			this.setTask("Finalizing...");
+			this.monitorSetTask("Finalizing...");
 			if (!stepFinalize()) {
 				return false;
 			}
-			this.worked(20);
+			this.monitorSetWorked(20);
 		}
 		
 		return true;
@@ -472,7 +472,7 @@
 			for (Match m : matches) {
 				positions[i++] = m.getStart();
 				npositions++;
-				this.worked(1);
+				this.monitorSetWorked(1);
 			}
 		}
 		return npositions > 0;
@@ -557,7 +557,7 @@
 				
 				i++;
 				
-				this.worked(1);
+				this.monitorSetWorked(1);
 			}
 			this.bande = distmin * this.bandeMultiplier;
 		}
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 2608)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 2609)
@@ -127,7 +127,7 @@
 	 */
 	protected boolean __compute() {
 		
-		this.setTask("Computing balance with metadata propertyName = " + this.structuralUnitProperty + ", structural unit = " + this.structuralUnit.getName() + " and groupByTexts = " + this.countTexts); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		this.monitorSetTask("Computing balance with metadata propertyName = " + this.structuralUnitProperty + ", structural unit = " + this.structuralUnit.getName() + " and groupByTexts = " + this.countTexts); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		try {
 			this.dataset = new HashMap<Integer, Comparable[]>();
 			
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 2608)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 2609)
@@ -211,7 +211,7 @@
 	 */
 	protected boolean renderChart() throws Exception {
 		
-		this.setTask("Rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "...");
+		this.monitorSetTask("Rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "...");
 		
 		Log.finest("*** ChartResult.renderChart(): rendering chart for result " + this.getClass() + " and chart type " + this.getChartType() + "..."); //$NON-NLS-1$
 		
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2608)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2609)
@@ -104,7 +104,6 @@
 	/**
 	 * 
 	 * @param parent
-	 * @throws NullPointerException
 	 */
 	public Partition(CQPCorpus parent) {
 		super(parent);
@@ -118,6 +117,27 @@
 		super(parametersNodePath);
 	}
 	
+	
+	
+	@Override
+	protected boolean _compute() throws Exception {
+		
+		// create the parts only if they not already exist
+		if (this.getPartsCount() == 0) {
+			
+			if (this.pProperty != null) {
+				_compute_with_property();
+			}
+			else {
+				_compute_with_lists();
+			}
+		}
+		this.totalsize = -1; // refresh total size at next call of getTotalSize
+		return true;
+	}
+	
+	
+	
 	/**
 	 * Computes the Partition using a list of queries.
 	 *
@@ -136,7 +156,7 @@
 		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.userName, this.getParent()));
 		long start = System.currentTimeMillis();
 		
-		this.setTask("Building parts...");
+		this.monitorSetTask("Building parts...");
 		
 		for (int i = 0; i < pQueries.size(); i++) {
 			String queryS = pQueries.get(i);
@@ -145,6 +165,7 @@
 			if (pPartNames != null && i < pPartNames.size()) {
 				partName = pPartNames.get(i);
 			}
+			// ensure the part has a name, if empty
 			if (partName.trim().length() == 0) {
 				partName = "-"; //$NON-NLS-1$
 			}
@@ -181,7 +202,6 @@
 		
 		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.userName, this.getParent()));
 		
-		
 		if (pValues == null) {
 			pValues = pProperty.getValues(corpus);
 		}
@@ -252,22 +272,6 @@
 	}
 	
 	
-	@Override
-	protected boolean _compute() throws Exception {
-		
-		// create the parts only if they not already exist
-		if (this.getParts().size() == 0) {
-			
-			if (this.pProperty != null) {
-				_compute_with_property();
-			}
-			else {
-				_compute_with_lists();
-			}
-		}
-		this.totalsize = -1; // refresh total size at next call of getTotalSize
-		return true;
-	}
 	
 	
 	@Override
@@ -416,10 +420,12 @@
 	
 	/**
 	 * Gets a part specified by its index.
+	 * The index also represents the raw order in the children list.
 	 * 
 	 * @param index
 	 * @return
 	 */
+	// FIXME: SJ: became useless?
 	public Part getPart(int index) {
 		return this.getParts().get(index);
 	}
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 2608)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 2609)
@@ -76,14 +76,14 @@
 	public boolean _compute() throws Exception {
 		coocs = new int[queries.size()][queries.size()];
 		
-		this.setTask("Querying cooccurrences...");
-		this.setWorkRemaining(nNodes);
+		this.monitorSetTask("Querying cooccurrences...");
+		this.monitorSetWorkRemaining(nNodes);
 		
 		for (int i = 0; i < queries.size(); i++) {
 			int j = i;
 			if (oriented) j = 0; // if the graph is not oriented, we don't need to evaluate all queries
 			for (; j < queries.size(); j++) {
-				this.worked(1);
+				this.monitorSetWorked(1);
 				String query = null;
 				if (oriented) {
 					query = "(" + queries.get(i) + "[]{0," + dist + "}" + queries.get(j) + ") " + this.struct;
@@ -111,7 +111,7 @@
 			coocs[j][i] = coocs[i][j];
 			}
 			}
-		this.done();
+		this.monitorDone();
 		
 		return true;
 	}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 2608)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 2609)
@@ -310,7 +310,7 @@
 		boolean needInit = (this.chartComposite.getChartComponent() == null) && (this.getResult().getChart() != null);
 		
 		// loading chart
-		this.getResult().setTask(TXMCoreMessages.bind("Loading chart of type {0}...", this.getResult().getResultType())); //$NON-NLS-1$
+		this.getResult().monitorSetTask(TXMCoreMessages.bind("Loading chart of type {0}...", this.getResult().getResultType())); //$NON-NLS-1$
 		this.loadChart();
 		
 		
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 2608)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 2609)
@@ -259,7 +259,7 @@
 		// FIXME: debug
 		// System.out.println("cooc: "+corpus+" "+query+" "+properties+" "+limit+" "+maxLeft+" "+minLeft+" "+minRight+" "+maxRight+" "+minFreq+" "+minCof+" "+minScore+" "+includeXpivot);
 		
-		this.setTask(CooccurrenceCoreMessages.info_buildingQueries);
+		this.monitorSetTask(CooccurrenceCoreMessages.info_buildingQueries);
 		
 		// clear data
 		try {
@@ -283,37 +283,37 @@
 			return false;
 		}
 		
-		this.setTask(CooccurrenceCoreMessages.info_retreivingMatches);
+		this.monitorSetTask(CooccurrenceCoreMessages.info_retreivingMatches);
 		if (!this.stepGetMatches()) {
 			return false;
 		}
-		this.worked(20);
+		this.monitorSetWorked(20);
 		
-		this.setTask(CooccurrenceCoreMessages.info_buildingLineSignatures);
+		this.monitorSetTask(CooccurrenceCoreMessages.info_buildingLineSignatures);
 		if (!this.stepBuildSignatures()) {
 			return false;
 		}
-		this.worked(20);
+		this.monitorSetWorked(20);
 		
-		this.setTask(CooccurrenceCoreMessages.info_counting);
+		this.monitorSetTask(CooccurrenceCoreMessages.info_counting);
 		if (!this.stepCount()) {
 			return false;
 		}
-		this.worked(20);
+		this.monitorSetWorked(20);
 		
-		this.setTask(CooccurrenceCoreMessages.info_buildingLexicalTable);
+		this.monitorSetTask(CooccurrenceCoreMessages.info_buildingLexicalTable);
 		if (!this.stepBuildLexicalTable()) {
 			return false;
 		}
-		this.worked(10);
+		this.monitorSetWorked(10);
 		
-		this.setTask(CooccurrenceCoreMessages.info_computingSpecificitiesScores);
+		this.monitorSetTask(CooccurrenceCoreMessages.info_computingSpecificitiesScores);
 		if (!this.stepGetScores()) {
 			return false;
 		}
 		
 		this.clearMemory();
-		this.done();
+		this.monitorDone();
 		
 		return true;
 	}
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 2608)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 2609)
@@ -600,7 +600,7 @@
 			if (i != j) { // i does point at the beginning of a block of non
 				// existing lines. We have to create the lines between i and j
 
-				if (isCanceled()) return new ArrayList<Line>(); // check if user canceled the Job
+				if (monitorIsCanceled()) return new ArrayList<Line>(); // check if user canceled the Job
 
 				// First we get all the data we need : values for the view
 				// properties, the analysis property and the reference
@@ -1640,7 +1640,7 @@
 
 		//write lines
 		for (int i = from ; i <= to ; i += packetSize +1) {
-			worked(step);
+			monitorSetWorked(step);
 			//println "worked: $step"
 			//println "packet $i -> "+(i+packetSize)
 			int to2 = i+packetSize;
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 2608)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 2609)
@@ -91,7 +91,7 @@
 			keywordFileReader.close();
 			System.out.println("Number of keywords lines: " + keywordLines.size());
 			System.out.println("context left and right size is: " + contextSize);
-			this.setTask("Querying keywords...");
+			this.monitorSetTask("Querying keywords...");
 			
 			int nkeyword = 0;
 			for (String line : keywordLines) {
@@ -101,13 +101,13 @@
 					keywordQueriestoName.put(split[1], split[0]);
 					results.add(corpus.query(q, "K" + nkeyword++, false));
 				}
-				this.worked(1);
+				this.monitorSetWorked(1);
 			}
 			keywordFileReader.close();
 			
 			// Loop over QueryResult to Merge them into one subcorpus
 			int n = 0;
-			this.setTask("Creating subcorpus...");
+			this.monitorSetTask("Creating subcorpus...");
 			while (results.size() > 1) {
 				
 				QueryResult q1 = results.get(0);
@@ -120,7 +120,7 @@
 				results.remove(0);
 				results.remove(0);
 				results.add(new QueryResult(merge_name, merge_name, corpus, null));
-				this.worked(1);
+				this.monitorSetWorked(1);
 			}
 			
 			System.out.println("Done.");
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 2608)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 2609)
@@ -52,7 +52,7 @@
 		
 		if (!(CQPSearchEngine.getCqiClient() instanceof MemCqiClient)) return false;
 		
-		this.setTask("Start querying...");
+		this.monitorSetTask("Start querying...");
 		
 		File file = File.createTempFile("query", ".txt");
 		// ExecTimer t = new ExecTimer();
@@ -65,7 +65,7 @@
 		cli.query("group " + result.getQualifiedCqpId() + " match " + prop.getName() + " > \"" + file + "\";");
 		// System.out.println("query done"+t.stop());t.start();
 		
-		this.worked(50);
+		this.monitorSetWorked(50);
 		
 		if (!file.exists()) return false;
 		
@@ -102,7 +102,7 @@
 				break;
 			}
 			line = reader.readLine();
-			this.worked(1);
+			this.monitorSetWorked(1);
 		}
 		reader.close();
 		writer.close();
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 2608)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 2609)
@@ -211,7 +211,7 @@
 		}
 		keywordFileReader.close();
 		System.out.println("Number of keywords lines: " + keywordLines.size());
-		this.setTask("Querying keywords...");
+		this.monitorSetTask("Querying keywords...");
 		
 		int nkeyword = 0;
 		for (String line : keywordLines) {
@@ -224,7 +224,7 @@
 				keywordEndPositions.put(split[1], result.getEnds());
 				keywordsMaxCountsLexicon.put(split[1], new int[textBoundaries.length]);
 				idxLexicon.put(split[1], idx_lexicon_counter++);
-				this.worked(1);
+				this.monitorSetWorked(1);
 			}
 		}
 		keywordFileReader.close();
@@ -239,7 +239,7 @@
 		queriesFileReader.close();
 		
 		System.out.println("Number of lemma lines: " + lines.size());
-		this.setTask("Querying...");
+		this.monitorSetTask("Querying...");
 		
 		int nquery = 0;
 		for (String line : lines) {
@@ -311,10 +311,10 @@
 					}
 				}
 			}
-			this.worked(1);
+			this.monitorSetWorked(1);
 		}
 		
-		this.setTask("Finalizing doc_word_freq_2.txt file...");
+		this.monitorSetTask("Finalizing doc_word_freq_2.txt file...");
 		for (String key : keywordsMaxCountsLexicon.keySet()) {
 			int[] keyMaxValues = keywordsMaxCountsLexicon.get(key);
 			for (int noText = 0; noText < textBoundaries.length; noText++) {
@@ -328,7 +328,7 @@
 		queriesFileReader.close();
 		writer.close();
 		
-		this.setTask("Writing lexicon file...");
+		this.monitorSetTask("Writing lexicon file...");
 		writer = new PrintWriter(new BufferedWriter(new OutputStreamWriter(new FileOutputStream(lexiconFile), "UTF-8")));
 		for (String query : idxLexicon.keySet()) {
 			String name = keywordQueriestoName.get(query);
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 2608)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 2609)
@@ -165,7 +165,7 @@
 		reader.close();
 		
 		System.out.println("Number of query lines: " + lines.size());
-		this.setTask("Querying...");
+		this.monitorSetTask("Querying...");
 		
 		for (String line : lines) {
 			String[] split = line.split("=", 2); //$NON-NLS-1$
@@ -177,7 +177,7 @@
 					if (addLine(split[0], new CQLQuery(split[1])) == null) {
 						System.out.println(TXMCoreMessages.bind(TXMCoreMessages.warningColonQueryFailedColonP0, line));
 					}
-					this.worked(1);
+					this.monitorSetWorked(1);
 				}
 			}
 		}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2608)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2609)
@@ -108,7 +108,7 @@
 			currentpartid++;
 		}
 		
-		this.worked(30);
+		this.monitorSetWorked(30);
 		
 		setLineCounts();
 		
@@ -117,20 +117,20 @@
 		this.filterLines();
 		
 		
-		this.worked(30);
+		this.monitorSetWorked(30);
 		
-		this.setTask("Sorting...");
+		this.monitorSetTask("Sorting...");
 		
 		this.sortLines(SortMode.FREQUNIT, true);
 		
 		this.cut();
 		
-		this.worked(30);
+		this.monitorSetWorked(30);
 		
 		this.dirty = false;
 		this.pTopIndex = 0;
 		
-		this.setTask("Index done.");
+		this.monitorSetTask("Index done.");
 		
 		return true;
 	}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2608)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2609)
@@ -189,18 +189,18 @@
 		}
 		// }
 		this.filterLines();
-		this.worked(30);
+		this.monitorSetWorked(30);
 		
-		this.setTask("Sorting...");
+		this.monitorSetTask("Sorting...");
 		this.sortLines(SortMode.FREQUNIT, true);
-		this.worked(30);
+		this.monitorSetWorked(30);
 		
 		this.cut();
 		
 		this.dirty = false;
 		this.pTopIndex = 0;
 		
-		this.setTask("Index done.");
+		this.monitorSetTask("Index done.");
 		
 		return true;
 	}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 2608)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 2609)
@@ -198,7 +198,7 @@
 	protected boolean computeWithMainCorpus(MainCorpus corpus, Property property, IProgressMonitor monitor) throws CqiClientException {
 		// System.out.println("in "+this.getCqpId()+" look for cached lexicon "+property);
 		// System.out.println("not found");
-		this.setTask("Computing lexicon size...");
+		this.monitorSetTask("Computing lexicon size...");
 		Log.finest(IndexCoreMessages.lexicon + corpus.getID());
 		int lexiconSize;
 		try {
@@ -215,7 +215,7 @@
 		
 		int[] freqs;
 		try {
-			this.setTask("Computing lexicon frequencies...");
+			this.monitorSetTask("Computing lexicon frequencies...");
 			freqs = CorpusManager.getCorpusManager().getCqiClient().id2Freq(property.getQualifiedName(), ids);
 		}
 		catch (Exception e) {
@@ -248,7 +248,7 @@
 		int[][] fdist = null;
 		Subcorpus tmp = null;
 		try {
-			this.setTask("Computing lexicon frequencies...");
+			this.monitorSetTask("Computing lexicon frequencies...");
 			tmp = corpus.createSubcorpus(new CQLQuery("[]"), "S" + corpus.getNextSubcorpusCounter(), true); //$NON-NLS-1$
 			if (tmp != null) {
 				fdist = CorpusManager.getCorpusManager().getCqiClient().fdist1(tmp.getQualifiedCqpId(), 0, ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
